Live Google Sheet status for a campaign
curl --request GET \
--url https://api.pineyard.ai/campaigns/{id}/sheet \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/sheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/sheet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"connected": true,
"googleEmail": "<string>",
"linked": true,
"spreadsheetUrl": "<string>",
"source": "GENERATED",
"status": "ACTIVE",
"autoSync": true,
"matchColumn": "<string>",
"lastSyncedAt": "<string>",
"lastError": "<string>",
"legacyLayout": true,
"managedColumnCount": 123,
"layoutLocked": true,
"sheetTitle": "<string>",
"sheetGid": 123,
"previousSpreadsheetUrl": "<string>",
"rotatedAt": "<string>"
}Live sheet
Live Google Sheet status for a campaign
GET
/
campaigns
/
{id}
/
sheet
Live Google Sheet status for a campaign
curl --request GET \
--url https://api.pineyard.ai/campaigns/{id}/sheet \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/sheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/sheet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"connected": true,
"googleEmail": "<string>",
"linked": true,
"spreadsheetUrl": "<string>",
"source": "GENERATED",
"status": "ACTIVE",
"autoSync": true,
"matchColumn": "<string>",
"lastSyncedAt": "<string>",
"lastError": "<string>",
"legacyLayout": true,
"managedColumnCount": 123,
"layoutLocked": true,
"sheetTitle": "<string>",
"sheetGid": 123,
"previousSpreadsheetUrl": "<string>",
"rotatedAt": "<string>"
}Required scope:
intel.view
Requires a plan that includes business intelligence (basic tier). Otherwise the request is refused; see Errors.
Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Response
OK
Available options:
GENERATED, ATTACHED Available options:
ACTIVE, PAUSED, ERROR 
